Bug 429718 - If advanced search returns a single result, you are taken to that result, instead of displaying a list of 1 item
If advanced search returns a single result, you are taken to that result, ins...
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Justin Sherrill
wes hayutin
Depends On:
Blocks: 248643
  Show dependency treegraph
Reported: 2008-01-22 12:19 EST by Dave Russell
Modified: 2008-04-02 17:07 EDT (History)
0 users

See Also:
Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-02 17:07:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Russell 2008-01-22 12:19:43 EST
Description of problem:
If advanced (or basic) search returns a single result, you are taken to that
result, instead of displaying a list of 1 item.

Now normally this sounds like the right thing to do, however this means that
users are unable to add single servers to the "system set manager" list of
managed servers.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Search for a host with a query that you know will only return one result
Actual results:
1. Get directed to the hosts page

Expected results:
1. For the basic search, direct the user directly to the host page
2. For the advanced search, direct the user to a results list page with one item
listed (to allow the user to either click on it, or tick the checkbox)

Additional info:
The above expected results are how RHN Satellite used to work as of 4.0.5

Customer noticed the difference upon upgrading to 5.0.1
Comment 1 Justin Sherrill 2008-01-22 12:24:24 EST
very simple fix, proposing for vega
Comment 2 Justin Sherrill 2008-01-23 17:41:03 EST
fixed in rev 136047.
Comment 3 wes hayutin 2008-01-27 17:39:20 EST
hold on... the design of search has always been to return one system result in
the sdc view.. and not as a list of one item.  I'm not completely opposed to
returning the  system in a list, however its not a bug.  We should talk about it
and see if it affects anything else.

Typically I think a user would use filtering not search for the above use case. 
Comment 4 Justin Sherrill 2008-01-28 11:40:28 EST
had a discussion and we decided it would be better to have a link within the SDC
to add the current system to the SSM.  That way we are not changing the current
behavior again (behavior that has been around now for quite a while).

Comment 5 Justin Sherrill 2008-01-28 15:38:20 EST
fixed in rev 136219.
Comment 6 wes hayutin 2008-02-01 10:10:03 EST
verified build 97
Comment 7 Brandon Perkins 2008-04-02 17:07:46 EDT
UI Enhancements for 5.1 Sat GA so Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.